{
    "position": "top",
//	"output": "HDMI-A-1",
    "layer": "top",
    "modules-left": [
//		"custom/distro",
        "niri/workspaces",
		"niri/window"
    ],
    "modules-center": [
    ],
    "modules-right": [
		"network",
        "pulseaudio",
        "clock"
    ],
    "pulseaudio": {
        "tooltip": false,
        "scroll-step": 5,
        "format": "  {volume}%",
        "format-muted": "muted",
        "format-icons": {
            "default": [
                "",
                "",
                ""
            ]
        }
    },
    "privacy": {
        "icon-spacing": 10,
        "icon-size": 18,
        "transition-duration": 250,
        "tooltip": false,
        "modules": [
            {
                "type": "screenshare",
                "tooltip": true,
                "tooltip-icon-size": 24
            },
            {
                "type": "audio-out",
                "tooltip": true,
                "tooltip-icon-size": 24
            },
            {
                "type": "audio-in",
                "tooltip": true,
                "tooltip-icon-size": 24
            }
        ]
    },
	"custom/distro": {
		"format": "󱄅",
		"on-click": "sh -c 'rofi -show drun -config ~/.config/rofi/gruvbox.rasi'",
		"tooltip": false
	},
    "bluetooth": {
        "format": " {status}",
        "format-connected": " CONN",
        "tooltip": true,
        "on-click": "footclient -e bluetoothctl",
        "tooltip-format-connected": "{device_alias}"
    },
    "clock": {
        "format": "󰥔 {:%I:%M %p}",
        "tooltip": true,
        "tooltip-format": "{:%a, %b %d, :%I:%M:%S %p}"
    },
	"niri/workspaces": {
		"format": "●",
		"active-format": "{icon} ●",
		"window-icons": true,
		"icon-size": 20
	},
    "niri/window": {
        "icon": false,
        "icon-size": 20
    },
    "niri/mode": {
        "format": "<span style=\"italic\">{}</span>"
    },
    "network": {
       // "interface": "wlo1",
		"interface": "eno1",
        "format-wifi": "󰖩 {essid}",
        "format-ethernet": "󰛳 {ipaddr}/{cidr}",
        "format-disconnected": "󱚼 disconnected",
        "tooltip": true,
        "tooltip-format": "Click to copy",
        "max-length": 50,
        "on-click": "sh -c 'ip addr show eno1 | grep \"inet \" | awk \"{print \\$2}\" | sed \"s#/.*##\" | wl-copy'"
    },
    "battery": {
        "format": "BAT {capacity}%",
        "interval": 10,
        "states": {
            "warning": 20,
            "critical": 10
        },
        "format-time": "{H}:{m}",
        "format-charging": "BAT {capacity}%",
        "format-discharging": "BAT {capacity}%",
        "tooltip-format": "{power}W, {cycles} cycles"
    }
}

